# -*- encoding : utf-8 -*-
class AddForeignKeys < ActiveRecord::Migration
  def self.up
    add_foreign_key :groups, :group_types
    add_foreign_key :jobs, :admissions
    add_foreign_key :jobs, :groups
    add_foreign_key :job_applications, :applicants
    add_foreign_key :job_applications, :jobs
    add_foreign_key :interviews, :job_applications
    add_foreign_key :job_tags_jobs, :jobs
    add_foreign_key :job_tags_jobs, :job_tags
    add_foreign_key :password_recoveries, :applicants
  end

  def self.down
    remove_foreign_key :groups, :group_types
    remove_foreign_key :jobs, :admissions
    remove_foreign_key :jobs, :groups
    remove_foreign_key :job_applications, :applicants
    remove_foreign_key :job_applications, :jobs
    remove_foreign_key :interviews, :job_applications
    remove_foreign_key :job_tags_jobs, :jobs
    remove_foreign_key :job_tags_jobs, :job_tags
    remove_foreign_key :password_recoveries, :applicants
  end
end
